PrivateLinkServicesOperations Class
PrivateLinkServicesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectPrivateLinkServicesOperations
Constructor
PrivateLinkServicesOperations(client, config, serializer, deserializer) -> None
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_check_private_link_service_visibility |
Checks the subscription is visible to private link service. |
| begin_check_private_link_service_visibility_by_resource_group |
Checks the subscription is visible to private link service. |
| begin_create_or_update |
Creates or updates an private link service in the specified resource group. |
| begin_delete |
Deletes the specified private link service. |
| begin_delete_private_endpoint_connection |
Delete private end point connection for a private link service in a subscription. |
| get |
Gets the specified private link service by resource group. |
| list |
Gets all private link services in a resource group. |
| list_auto_approved_private_link_services |
Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region. |
| list_auto_approved_private_link_services_by_resource_group |
Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region. |
| list_by_subscription |
Gets all private link service in a subscription. |
| update_private_endpoint_connection |
Approve or reject private end point connection for a private link service in a subscription. |
begin_check_private_link_service_visibility
Checks the subscription is visible to private link service.
begin_check_private_link_service_visibility(location: str, parameters: azure.mgmt.network.v2019_06_01.models._models_py3.CheckPrivateLinkServiceVisibilityRequest, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[_ForwardRef('models.PrivateLinkServiceVisibility')]
Parameters
- parameters
- CheckPrivateLinkServiceVisibilityRequest
The request body of CheckPrivateLinkService API call.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either PrivateLinkServiceVisibility or the result of cls(response)
Return type
Exceptions
begin_check_private_link_service_visibility_by_resource_group
Checks the subscription is visible to private link service.
begin_check_private_link_service_visibility_by_resource_group(location: str, resource_group_name: str, parameters: azure.mgmt.network.v2019_06_01.models._models_py3.CheckPrivateLinkServiceVisibilityRequest, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[_ForwardRef('models.PrivateLinkServiceVisibility')]
Parameters
- parameters
- CheckPrivateLinkServiceVisibilityRequest
The request body of CheckPrivateLinkService API call.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either PrivateLinkServiceVisibility or the result of cls(response)
Return type
Exceptions
begin_create_or_update
Creates or updates an private link service in the specified resource group.
begin_create_or_update(resource_group_name: str, service_name: str, parameters: azure.mgmt.network.v2019_06_01.models._models_py3.PrivateLinkService, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[_ForwardRef('models.PrivateLinkService')]
Parameters
- parameters
- PrivateLinkService
Parameters supplied to the create or update private link service operation.
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either PrivateLinkService or the result of cls(response)
Return type
Exceptions
begin_delete
Deletes the specified private link service.
begin_delete(resource_group_name: str, service_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[NoneType]
Parameters
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
begin_delete_private_endpoint_connection
Delete private end point connection for a private link service in a subscription.
begin_delete_private_endpoint_connection(resource_group_name: str, service_name: str, pe_connection_name: str, **kwargs) -> azure.core.polling._async_poller.AsyncLROPoller[NoneType]
Parameters
- polling
- bool or AsyncPollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of AsyncLROPoller that returns either None or the result of cls(response)
Return type
Exceptions
get
Gets the specified private link service by resource group.
get(resource_group_name: str, service_name: str, expand: typing.Union[str, NoneType] = None, **kwargs) -> azure.mgmt.network.v2019_06_01.models._models_py3.PrivateLinkService
Parameters
Returns
PrivateLinkService, or the result of cls(response)
Return type
Exceptions
list
Gets all private link services in a resource group.
list(resource_group_name: str, **kwargs) -> typing.AsyncIterable[_ForwardRef('models.PrivateLinkServiceListResult')]
Parameters
Returns
An iterator like instance of either PrivateLinkServiceListResult or the result of cls(response)
Return type
Exceptions
list_auto_approved_private_link_services
Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.
list_auto_approved_private_link_services(location: str, **kwargs) -> typing.AsyncIterable[_ForwardRef('models.AutoApprovedPrivateLinkServicesResult')]
Parameters
Returns
An iterator like instance of either AutoApprovedPrivateLinkServicesResult or the result of cls(response)
Return type
Exceptions
list_auto_approved_private_link_services_by_resource_group
Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.
list_auto_approved_private_link_services_by_resource_group(location: str, resource_group_name: str, **kwargs) -> typing.AsyncIterable[_ForwardRef('models.AutoApprovedPrivateLinkServicesResult')]
Parameters
Returns
An iterator like instance of either AutoApprovedPrivateLinkServicesResult or the result of cls(response)
Return type
Exceptions
list_by_subscription
Gets all private link service in a subscription.
list_by_subscription(**kwargs) -> typing.AsyncIterable[_ForwardRef('models.PrivateLinkServiceListResult')]
Parameters
Returns
An iterator like instance of either PrivateLinkServiceListResult or the result of cls(response)
Return type
Exceptions
update_private_endpoint_connection
Approve or reject private end point connection for a private link service in a subscription.
update_private_endpoint_connection(resource_group_name: str, service_name: str, pe_connection_name: str, parameters: azure.mgmt.network.v2019_06_01.models._models_py3.PrivateEndpointConnection, **kwargs) -> azure.mgmt.network.v2019_06_01.models._models_py3.PrivateEndpointConnection
Parameters
- parameters
- PrivateEndpointConnection
Parameters supplied to approve or reject the private end point connection.
Returns
PrivateEndpointConnection, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.network.v2019_06_01.models' from 'c:\\repo\\venv\\lib\\site-packages\\azure\\mgmt\\network\\v2019_06_01\\models\\__init__.py'>
Feedback
Submit and view feedback for